Rspec error's when checking LayoutLinks from the railstutorials

I am following the rails tutorial:
http://railstutorial.org/chapters/filling-in-the-layout#top

Basically the test is something like:

spec/requests/layout_links_spec.rb
require ‘spec_helper’

describe “LayoutLinks” do

it “should have a Home page at ‘/’” do
get ‘/’
response.should have_selector(‘title’, :content => “Home”)
end

Routes:
root :to => ‘pages#home’

  1. I already googled and found
    http://stackoverflow.com/questions/3517724/rspec-is-giving-an-error-with-my-layout-links-from-the-rails-tutorial-failure-e

  2. I already tried changing the rspec version to 2.0.0.beta.18, but I
    still get the same error.

Here is the output:

dpalacio:sample_app dpalacio$ rspec -v
2.0.1
dpalacio:sample_app dpalacio$ rspec spec/requests/
FFFFF

Finished in 0.55501 seconds
5 examples, 5 failures

  1. LayoutLinks should have a Home page at ‘/’
    Failure/Error: Unable to find matching line from backtrace
    stack level too deep

/Users/dpalacio/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/forwardable.rb:185

Is there any other thing that might be causing the problem ?
Thanks
-dan

On Oct 20, 2010, at 6:27 PM, Daniel Palacio wrote:

it “should have a Home page at ‘/’” do

http://stackoverflow.com/questions/3517724/rspec-is-giving-an-error-with-my-layout-links-from-the-rails-tutorial-failure-e

FFFFF

Finished in 0.55501 seconds
5 examples, 5 failures

  1. LayoutLinks should have a Home page at ‘/’
    Failure/Error: Unable to find matching line from backtrace
    stack level too deep

    /Users/dpalacio/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/forwardable.rb:185

At this point you should be using rails-3.0.1 and rspec-rails-2.0.1, and
webrat-0.7.2. Are those the versions you are using?

Hi Daniel,

Did you figure out a way to solve this problem? I run into the same
problem tool.

Regards
Lipu

This is webrat 0.7.2 problem
https://webrat.lighthouseapp.com/projects/10503/tickets/398-failureerror-unable-to-find-matching-line-from-backtrace
Everything works fine with webrat 0.7.1

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs